Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DesignVisitor.Forwarder

    java.lang.Object
      org.eclipse.birt.report.model.elements.ElementVisitor
          org.eclipse.birt.report.model.api.DesignVisitor.Forwarder

Enclosing class:
  DesignVisitor

    protected class DesignVisitor.Forwarder

extends org.eclipse.birt.report.model.elements.ElementVisitor

A class forward the visit of an element to its handle.

Constructor Summary
`protected` | `DesignVisitor.Forwarder()`

Method Summary
`void` | `visitAutoText(org.eclipse.birt.report.model.elements.AutoText obj)` Visits the auto text element
`void` | `visitCascadingParameterGroup(org.eclipse.birt.report.model.elements.CascadingParameterGroup obj)` Visits the cascading parameter group element.
`void` | `visitCell(org.eclipse.birt.report.model.elements.Cell obj)` Visits the cell element.
`void` | `visitColumn(org.eclipse.birt.report.model.elements.TableColumn obj)` Visits the column element.
`void` | `visitDataItem(org.eclipse.birt.report.model.elements.DataItem obj)` Visits the data element.
`void` | `visitDerivedDataSet(org.eclipse.birt.report.model.elements.DerivedDataSet obj)` Visits the derived data set.
`void` | `visitDynamicFilterParameter(org.eclipse.birt.report.model.elements.DynamicFilterParameter obj)` Visits the dynamic filter parameter.
`void` | `visitExtendedItem(org.eclipse.birt.report.model.elements.ExtendedItem obj)` Visits the extended item.
`void` | `visitFreeForm(org.eclipse.birt.report.model.elements.FreeForm obj)` Visits the free form element.
`void` | `visitGraphicMasterPage(org.eclipse.birt.report.model.elements.GraphicMasterPage obj)` Visits the graphic master page element.
`void` | `visitGrid(org.eclipse.birt.report.model.elements.GridItem obj)` Visits the grid element.
`void` | `visitImage(org.eclipse.birt.report.model.elements.ImageItem obj)` Visits the image element.
`void` | `visitJointDataSet(org.eclipse.birt.report.model.elements.JointDataSet obj)` Visits the joint data set element.
`void` | `visitLabel(org.eclipse.birt.report.model.elements.Label obj)` Visits the label element.
`void` | `visitLibrary(org.eclipse.birt.report.model.elements.Library obj)` Visits the library.
`void` | `visitLine(org.eclipse.birt.report.model.elements.LineItem obj)` Visits the line element.
`void` | `visitList(org.eclipse.birt.report.model.elements.ListItem obj)` Visits the list element.
`void` | `visitListGroup(org.eclipse.birt.report.model.elements.ListGroup obj)` Visits the list group element.
`void` | `visitOdaCube(org.eclipse.birt.report.model.elements.olap.OdaCube obj)` Visits the cube element.
`void` | `visitOdaDataSet(org.eclipse.birt.report.model.elements.OdaDataSet obj)` Visits the extended data set element.
`void` | `visitOdaDataSource(org.eclipse.birt.report.model.elements.OdaDataSource obj)` Visits the extended data source element.
`void` | `visitOdaDimension(org.eclipse.birt.report.model.elements.olap.OdaDimension obj)` Visits the dimension element.
`void` | `visitOdaHierarchy(org.eclipse.birt.report.model.elements.olap.OdaHierarchy obj)` Visits the hierarchy element.
`void` | `visitOdaLevel(org.eclipse.birt.report.model.elements.olap.OdaLevel obj)` Visits the level element.
`void` | `visitOdaMeasure(org.eclipse.birt.report.model.elements.olap.OdaMeasure obj)` Visits the measure element.
`void` | `visitOdaMeasureGroup(org.eclipse.birt.report.model.elements.olap.OdaMeasureGroup obj)` Visits the measure group.
`void` | `visitParameterGroup(org.eclipse.birt.report.model.elements.ParameterGroup obj)` Visits the parameter group element.
`void` | `visitRectangle(org.eclipse.birt.report.model.elements.RectangleItem obj)` Visits the rectangle element.
`void` | `visitReportDesign(org.eclipse.birt.report.model.elements.ReportDesign obj)` Visits the report design.
`void` | `visitRow(org.eclipse.birt.report.model.elements.TableRow obj)` Visits the row element.
`void` | `visitScalarParameter(org.eclipse.birt.report.model.elements.ScalarParameter obj)` Visits the scalar parameter.
`void` | `visitScriptDataSet(org.eclipse.birt.report.model.elements.ScriptDataSet obj)` Visits the script data set element.
`void` | `visitScriptDataSource(org.eclipse.birt.report.model.elements.ScriptDataSource obj)` Visits the script data source element.
`void` | `visitSimpleMasterPage(org.eclipse.birt.report.model.elements.SimpleMasterPage obj)` Visits the simple master page element.
`void` | `visitStyle(org.eclipse.birt.report.model.elements.Style obj)` Visits the style element.
`void` | `visitTable(org.eclipse.birt.report.model.elements.TableItem obj)` Visits the table element.
`void` | `visitTableGroup(org.eclipse.birt.report.model.elements.TableGroup obj)` Visits the table group element.
`void` | `visitTabularCube(org.eclipse.birt.report.model.elements.olap.TabularCube obj)` Visits the cube element.
`void` | `visitTabularDimension(org.eclipse.birt.report.model.elements.olap.TabularDimension obj)` Visits the dimension element.
`void` | `visitTabularHierarchy(org.eclipse.birt.report.model.elements.olap.TabularHierarchy obj)` Visits the hierarchy element.
`void` | `visitTabularLevel(org.eclipse.birt.report.model.elements.olap.TabularLevel obj)` Visits the level element.
`void` | `visitTabularMeasure(org.eclipse.birt.report.model.elements.olap.TabularMeasure obj)` Visits the measure element.
`void` | `visitTabularMeasureGroup(org.eclipse.birt.report.model.elements.olap.TabularMeasureGroup obj)` Visits the measure group.
`void` | `visitTemplateDataSet(org.eclipse.birt.report.model.elements.TemplateDataSet obj)` Visits the template data set.
`void` | `visitTemplateParameterDefinition(org.eclipse.birt.report.model.elements.TemplateParameterDefinition obj)` Visits the template parameter definition.
`void` | `visitTemplateReportItem(org.eclipse.birt.report.model.elements.TemplateReportItem obj)` Visits the template report item.
`void` | `visitTextDataItem(org.eclipse.birt.report.model.elements.TextDataItem obj)` Visits the multiline data item.
`void` | `visitTextItem(org.eclipse.birt.report.model.elements.TextItem obj)` Visits the text element.
`void` | `visitTheme(org.eclipse.birt.report.model.elements.Theme obj)` Visits the theme element.

Methods inherited from class org.eclipse.birt.report.model.elements.ElementVisitor
`visitAbstractScalarParameter, visitAccessControl, visitContentElement, visitContents, visitCube, visitDataGroup, visitDataSet, visitDataSource, visitDesignElement, visitDimension, visitFilterConditionElement, visitGroup, visitHierarchy, visitLevel, visitListing, visitMasterPage, visitMeasure, visitMeasureGroup, visitMemberValue, visitModule, visitMultiView, visitParameter, visitReportItem, visitSimpleDataSet, visitSortElement, visitStyledElement, visitTemplateElement, visitValueAccessControl, visitVariableElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesignVisitor.Forwarder

    protected DesignVisitor.Forwarder()

Method Detail

### visitFreeForm

    public void visitFreeForm(org.eclipse.birt.report.model.elements.FreeForm obj)

  Visits the free form element.

  Overrides:
    `visitFreeForm` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the free form to traverse

### visitLabel

    public void visitLabel(org.eclipse.birt.report.model.elements.Label obj)

  Visits the label element.

  Overrides:
    `visitLabel` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the label to traverse

### visitAutoText

    public void visitAutoText(org.eclipse.birt.report.model.elements.AutoText obj)

  Visits the auto text element

  Overrides:
    `visitAutoText` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - auto text to traverse

### visitDataItem

    public void visitDataItem(org.eclipse.birt.report.model.elements.DataItem obj)

  Visits the data element.

  Overrides:
    `visitDataItem` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the data element to traverse

### visitTextItem

    public void visitTextItem(org.eclipse.birt.report.model.elements.TextItem obj)

  Visits the text element.

  Overrides:
    `visitTextItem` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the text to traverse

### visitImage

    public void visitImage(org.eclipse.birt.report.model.elements.ImageItem obj)

  Visits the image element.

  Overrides:
    `visitImage` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the image to traverse

### visitList

    public void visitList(org.eclipse.birt.report.model.elements.ListItem obj)

  Visits the list element.

  Overrides:
    `visitList` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the list to traverse

### visitListGroup

    public void visitListGroup(org.eclipse.birt.report.model.elements.ListGroup obj)

  Visits the list group element.

  Overrides:
    `visitListGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the list group to traverse

### visitTable

    public void visitTable(org.eclipse.birt.report.model.elements.TableItem obj)

  Visits the table element.

  Overrides:
    `visitTable` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the table to traverse

### visitTableGroup

    public void visitTableGroup(org.eclipse.birt.report.model.elements.TableGroup obj)

  Visits the table group element.

  Overrides:
    `visitTableGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the table group to traverse

### visitCell

    public void visitCell(org.eclipse.birt.report.model.elements.Cell obj)

  Visits the cell element.

  Overrides:
    `visitCell` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the cell to traverse

### visitColumn

    public void visitColumn(org.eclipse.birt.report.model.elements.TableColumn obj)

  Visits the column element.

  Overrides:
    `visitColumn` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the column to traverse

### visitRow

    public void visitRow(org.eclipse.birt.report.model.elements.TableRow obj)

  Visits the row element.

  Overrides:
    `visitRow` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the row to traverse

### visitGrid

    public void visitGrid(org.eclipse.birt.report.model.elements.GridItem obj)

  Visits the grid element.

  Overrides:
    `visitGrid` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the grid to traverse

### visitLine

    public void visitLine(org.eclipse.birt.report.model.elements.LineItem obj)

  Visits the line element.

  Overrides:
    `visitLine` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the line to traverse

### visitParameterGroup

    public void visitParameterGroup(org.eclipse.birt.report.model.elements.ParameterGroup obj)

  Visits the parameter group element.

  Overrides:
    `visitParameterGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the parameter group to traverse

### visitCascadingParameterGroup

    public void visitCascadingParameterGroup(org.eclipse.birt.report.model.elements.CascadingParameterGroup obj)

  Visits the cascading parameter group element.

  Overrides:
    `visitCascadingParameterGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the cascading parameter group to traverse

### visitLibrary

    public void visitLibrary(org.eclipse.birt.report.model.elements.Library obj)

  Visits the library.

  Overrides:
    `visitLibrary` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the library to traverse

### visitReportDesign

    public void visitReportDesign(org.eclipse.birt.report.model.elements.ReportDesign obj)

  Visits the report design.

  Overrides:
    `visitReportDesign` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the report design to traverse

### visitScalarParameter

    public void visitScalarParameter(org.eclipse.birt.report.model.elements.ScalarParameter obj)

  Visits the scalar parameter.

  Overrides:
    `visitScalarParameter` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the scalar parameter to traverse

### visitDynamicFilterParameter

    public void visitDynamicFilterParameter(org.eclipse.birt.report.model.elements.DynamicFilterParameter obj)

  Visits the dynamic filter parameter.

  Overrides:
    `visitDynamicFilterParameter` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the dynamic filter parameter to traverse

### visitStyle

    public void visitStyle(org.eclipse.birt.report.model.elements.Style obj)

  Visits the style element.

  Overrides:
    `visitStyle` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the style to traverse

### visitRectangle

    public void visitRectangle(org.eclipse.birt.report.model.elements.RectangleItem obj)

  Visits the rectangle element.

  Overrides:
    `visitRectangle` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the rectangle to traverse

### visitTextDataItem

    public void visitTextDataItem(org.eclipse.birt.report.model.elements.TextDataItem obj)

  Visits the multiline data item.

  Overrides:
    `visitTextDataItem` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the multiline data to traverse

### visitExtendedItem

    public void visitExtendedItem(org.eclipse.birt.report.model.elements.ExtendedItem obj)

  Visits the extended item.

  Overrides:
    `visitExtendedItem` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the extended item to traverse

### visitScriptDataSource

    public void visitScriptDataSource(org.eclipse.birt.report.model.elements.ScriptDataSource obj)

  Visits the script data source element.

  Overrides:
    `visitScriptDataSource` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the script data source to traverse

### visitGraphicMasterPage

    public void visitGraphicMasterPage(org.eclipse.birt.report.model.elements.GraphicMasterPage obj)

  Visits the graphic master page element.

  Overrides:
    `visitGraphicMasterPage` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the graphic master page to traverse

### visitSimpleMasterPage

    public void visitSimpleMasterPage(org.eclipse.birt.report.model.elements.SimpleMasterPage obj)

  Visits the simple master page element.

  Overrides:
    `visitSimpleMasterPage` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the simple master page to traverse

### visitOdaDataSource

    public void visitOdaDataSource(org.eclipse.birt.report.model.elements.OdaDataSource obj)

  Visits the extended data source element.

  Overrides:
    `visitOdaDataSource` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the extended data source to traverse

### visitScriptDataSet

    public void visitScriptDataSet(org.eclipse.birt.report.model.elements.ScriptDataSet obj)

  Visits the script data set element.

  Overrides:
    `visitScriptDataSet` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the script data set to traverse

### visitOdaDataSet

    public void visitOdaDataSet(org.eclipse.birt.report.model.elements.OdaDataSet obj)

  Visits the extended data set element.

  Overrides:
    `visitOdaDataSet` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the extended data set to traverse

### visitJointDataSet

    public void visitJointDataSet(org.eclipse.birt.report.model.elements.JointDataSet obj)

  Visits the joint data set element.

  Overrides:
    `visitJointDataSet` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the handle of the joint data set to traverse

### visitTheme

    public void visitTheme(org.eclipse.birt.report.model.elements.Theme obj)

  Visits the theme element.

  Overrides:
    `visitTheme` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the theme to traverse

### visitTemplateParameterDefinition

    public void visitTemplateParameterDefinition(org.eclipse.birt.report.model.elements.TemplateParameterDefinition obj)

  Visits the template parameter definition.

  Overrides:
    `visitTemplateParameterDefinition` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the template parameter definition to traverse

### visitTemplateReportItem

    public void visitTemplateReportItem(org.eclipse.birt.report.model.elements.TemplateReportItem obj)

  Visits the template report item.

  Overrides:
    `visitTemplateReportItem` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the template report item to traverse

### visitTemplateDataSet

    public void visitTemplateDataSet(org.eclipse.birt.report.model.elements.TemplateDataSet obj)

  Visits the template data set.

  Overrides:
    `visitTemplateDataSet` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the template data set to traverse

### visitTabularCube

    public void visitTabularCube(org.eclipse.birt.report.model.elements.olap.TabularCube obj)

  Visits the cube element.

  Overrides:
    `visitTabularCube` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the cube element

### visitTabularDimension

    public void visitTabularDimension(org.eclipse.birt.report.model.elements.olap.TabularDimension obj)

  Visits the dimension element.

  Overrides:
    `visitTabularDimension` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the dimension element

### visitTabularHierarchy

    public void visitTabularHierarchy(org.eclipse.birt.report.model.elements.olap.TabularHierarchy obj)

  Visits the hierarchy element.

  Overrides:
    `visitTabularHierarchy` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the hierarchy element

### visitTabularLevel

    public void visitTabularLevel(org.eclipse.birt.report.model.elements.olap.TabularLevel obj)

  Visits the level element.

  Overrides:
    `visitTabularLevel` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the level element

### visitTabularMeasure

    public void visitTabularMeasure(org.eclipse.birt.report.model.elements.olap.TabularMeasure obj)

  Visits the measure element.

  Overrides:
    `visitTabularMeasure` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the measure element

### visitTabularMeasureGroup

    public void visitTabularMeasureGroup(org.eclipse.birt.report.model.elements.olap.TabularMeasureGroup obj)

  Visits the measure group.

  Overrides:
    `visitTabularMeasureGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the measure group

### visitOdaCube

    public void visitOdaCube(org.eclipse.birt.report.model.elements.olap.OdaCube obj)

  Visits the cube element.

  Overrides:
    `visitOdaCube` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the cube element

### visitOdaDimension

    public void visitOdaDimension(org.eclipse.birt.report.model.elements.olap.OdaDimension obj)

  Visits the dimension element.

  Overrides:
    `visitOdaDimension` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the dimension element

### visitOdaHierarchy

    public void visitOdaHierarchy(org.eclipse.birt.report.model.elements.olap.OdaHierarchy obj)

  Visits the hierarchy element.

  Overrides:
    `visitOdaHierarchy` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the hierarchy element

### visitOdaLevel

    public void visitOdaLevel(org.eclipse.birt.report.model.elements.olap.OdaLevel obj)

  Visits the level element.

  Overrides:
    `visitOdaLevel` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the level element

### visitOdaMeasure

    public void visitOdaMeasure(org.eclipse.birt.report.model.elements.olap.OdaMeasure obj)

  Visits the measure element.

  Overrides:
    `visitOdaMeasure` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the measure element

### visitOdaMeasureGroup

    public void visitOdaMeasureGroup(org.eclipse.birt.report.model.elements.olap.OdaMeasureGroup obj)

  Visits the measure group.

  Overrides:
    `visitOdaMeasureGroup` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the measure group

### visitDerivedDataSet

    public void visitDerivedDataSet(org.eclipse.birt.report.model.elements.DerivedDataSet obj)

  Visits the derived data set.

  Overrides:
    `visitDerivedDataSet` in class `org.eclipse.birt.report.model.elements.ElementVisitor`
  Parameters:
    `obj` - the derived dta set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.